Bug 92162 - (libX11-1.6.3) Logically Dead Code in XKBCvt.c
Summary: (libX11-1.6.3) Logically Dead Code in XKBCvt.c
Status: RESOLVED MOVED
Alias: None
Product: xorg
Classification: Unclassified
Component: Lib/Xlib (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-28 10:30 UTC by Bhavi Dhingra
Modified: 2018-08-10 20:11 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Removing Dead Code (520 bytes, text/plain)
2015-09-28 10:30 UTC, Bhavi Dhingra
no flags Details

Description Bhavi Dhingra 2015-09-28 10:30:01 UTC
Created attachment 118484 [details]
Removing Dead Code

In libX11-1.5.0.tv.17/src/xkb/XKBCvt.c, Line #77,

At condition keysym == 173UL, the value of keysym must be in one of the following intervals: {[65288,65291], [65293,65293], [65307,65307], [65417,65417], [65421,65421], [65450,65465], [65469,65469], [65535,65535]}.

The condition keysym == 173UL cannot be true.

Execution cannot reach the below else block,

else if (keysym == XK_hyphen)
     buffer[0] = (char) (XK_minus & 0xFF); 

Hence, removing the dead-code.
Comment 1 Bhavi Dhingra 2015-10-07 03:40:42 UTC
Gentle reminder for this pending bug.
Comment 2 GitLab Migration User 2018-08-10 20:11:11 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/xorg/lib/libx11/issues/48.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.